# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TCompound Class Reference

`#include <PTopoDS_TCompound.hxx>`

Inheritance diagram for PTopoDS_TCompound:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_TCompound ()
| the new TCompound is empty.
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
| PTopoDS_TCompound (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_TCompound::PTopoDS_TCompound | ( |  | ) |

PTopoDS_TCompound::PTopoDS_TCompound | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_TCompound::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TShape.

Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TCompound::ShapeType | ( |  | ) | const`[virtual]`

| Implements PTopoDS_TShape.

The documentation for this class was generated from the following file:

- PTopoDS_TCompound.hxx